<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files />

    <variables>

        <family name='eole sso'>
            <variable name='eolesso_adresse' description="Nom de domaine du serveur d'authentification SSO" redefine="True" exists='True' />
        </family>

        <family name='LemonLDAP'>
            <variable name='ldapServerPort' redefine="True" hidden='True'>
                <value>636</value>
            </variable>
        </family>

    </variables>

    <constraints>
        <fill name='calc_multi_condition' target='activer_sso'>
            <param>oui</param>
            <param type='eole' name='condition_1'>activerLemon</param>
            <param name='match'>distant</param>
            <param name='default_mismatch'>local</param>
        </fill>

        <condition name='frozen_if_in' source='activerLemon'>
            <param>oui</param>
            <target type='variable'>activer_sso</target>
        </condition>

        <fill name='calc_val_first_value' target='eolesso_adresse'>
            <param type='eole' optional='True' hidden='False'>authWebName</param>
            <param type='eole' optional='True' hidden='False'>web_url</param>
            <param type='eole'>nom_domaine_machine</param>
        </fill>

        <condition name='frozen_if_in' source='activerLemon'>
            <param>oui</param>
            <target type='variable'>eolesso_adresse</target>
        </condition>

        <auto name='calc_val' target='ldapScheme'>
            <param>ldaps</param>
        </auto>

        <auto name='calc_val' target='ldapServer'>
            <param type='eole'>eolesso_ad_server</param>
        </auto>

        <auto name='calc_val' target='lemon_user_db'>
            <param>AD</param>
        </auto>

        <auto name='calc_val' target='llRegisterDB'>
            <param>AD</param>
        </auto>
        <auto name='calc_val' target='ldapUserBaseDN'>
            <param>will be calculated in template</param>
        </auto>
        <auto name='calc_val' target='ldapBindUserDN'>
            <param>will be calculated in template</param>
        </auto>

        <auto name='calc_val' target='ldapBindUserPassword'>
            <param>/etc/eole/private/sasl-reader.password</param>
        </auto>

        <auto name='calc_val' target='casFolder'>
            <param type='eole'>eolesso_cas_folder</param>
        </auto>

        <auto name='calc_val' target='activer_bareos_dir'>
            <param>non</param>
        </auto>

    </constraints>

    <help />

</creole>
